Bug 1720078 - Infrared tripleo-ovn-migration plugin does not support OSP15 version
Summary: Infrared tripleo-ovn-migration plugin does not support OSP15 version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-networking-ovn
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: beta
: 15.0 (Stein)
Assignee: Assaf Muller
QA Contact: Eran Kuris
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-13 06:22 UTC by Eran Kuris
Modified: 2021-06-08 12:35 UTC (History)
6 users (show)

Fixed In Version: python-networking-ovn-6.0.1-0.20190807030430.efb91b0.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:23:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 665094 0 None None None 2019-06-13 09:07:13 UTC
OpenStack gerrit 665095 0 None None None 2019-06-13 09:35:02 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:23:31 UTC

Description Eran Kuris 2019-06-13 06:22:21 UTC
Description of problem:
When I provided to the plugin --version 15 the job of ml2ovs-to-ovn-migration
failed with error: 
usage: infrared tripleo-ovn-migration [-h] [--registry-prefix REGISTRY-PREFIX]
                                      [--registry-mirror REGISTRY-MIRROR]
                                      [--registry-namespace REGISTRY-NAMESPACE]
                                      [--registry-tag REGISTRY-TAG]
                                      [--create_resources CREATE_RESOURCES]
                                      [--version VERSION]
                                      [--install_from_package INSTALL_FROM_PACKAGE]
                                      [--external_network EXTERNAL_NETWORK]
                                      [--image_name IMAGE_NAME] [--dvr DVR]
                                      [-v] [--ansible-args ANSIBLE-ARGS]
                                      [--inventory INVENTORY] [-o OUTPUT]
                                      [-e EXTRA-VARS] [--dry-run]
                                      [--from-file FROM-FILE]
                                      [--generate-answers-file GENERATE-ANSWERS-FILE]
infrared tripleo-ovn-migration: error: argument --version: invalid choice: '15' (choose from '7', '8', '9', '10', '11', '12', '13', '14', 'kilo', 'liberty', 'mitaka', 'newton', 'ocata', 'pike', 'queens', 'rocky')

we need to add support of osp15 to the tripleo-ovn-migration plugin.
Version-Release number of selected component (if applicable):
OSP15 core_puddle: RHOS_TRUNK-15.0-RHEL-8-20190607.n.1


How reproducible:
100%

Steps to Reproduce:
1. run migration job
2. https://rhos-qe-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/view/DFG/view/network/view/networking-ovn/job/DFG-network-networking-ovn-15_director-rhel-virthost-3cont_2comp-ipv4-vxlan-ml2ovs-to-ovn-migration/4/
3.

Actual results:


Expected results:


Additional info:
the fix should be in this path as far as I understand:
vi plugins/tripleo-ovn-migration/plugin.spec 

The bug opens to networking-OVN because it is responsible for the maintenance of the plugin.

Comment 3 Eran Kuris 2019-07-03 13:31:06 UTC
the specific issue fixed. The job still failing on another issue.

Comment 7 errata-xmlrpc 2019-09-21 11:23:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.